Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class UpdateBatchQueryBuilder

    java.lang.Object
      org.apache.cayenne.access.trans.BatchQueryBuilder
          org.apache.cayenne.access.trans.UpdateBatchQueryBuilder

    public class UpdateBatchQueryBuilder

extends BatchQueryBuilder

A translator for UpdateBatchQueries that produces parameterized SQL.

Author:
  Andriy Shapochka, Andrei Adamchik, Mike Kienenberger

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`adapter, trimFunction`

Constructor Summary
`UpdateBatchQueryBuilder(DbAdapter adapter)`

Method Summary
`void` | `bindParameters(java.sql.PreparedStatement statement, BatchQuery query)` Binds BatchQuery parameters to the PreparedStatement.
`java.lang.String` | `createSqlString(BatchQuery batch)` Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.

Methods inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`appendDbAttribute, bindParameters, getAdapter, getParameterValues, getTrimFunction, setAdapter, setTrimFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateBatchQueryBuilder

    public UpdateBatchQueryBuilder(DbAdapter adapter)

Method Detail

### createSqlString

    public java.lang.String createSqlString(BatchQuery batch)

  Description copied from class: `BatchQueryBuilder`
  Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.

  Specified by:
    `createSqlString` in class `BatchQueryBuilder`

### bindParameters

    public void bindParameters(java.sql.PreparedStatement statement,
                               BatchQuery query)
                        throws java.sql.SQLException,
                               java.lang.Exception

  Binds BatchQuery parameters to the PreparedStatement.

  Overrides:
    `bindParameters` in class `BatchQueryBuilder`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.